System.Design 2.0.0.0 System.ComponentModel.TypeConverter To be added.

Provides a list of valid skin IDs for a control at design time, based on the currently applicable theme.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Boolean `` `` To be added.

  Returns a value indicating whether this converter can convert a object to a string using the provided format context and type.

  true, if the conversion can be made; otherwise, false.

  An T:System.ComponentModel.ITypeDescriptorContext that provides a format context for the control being designed. A .
- Method
  2.0.0.0
  System.Boolean `` `` To be added.

  Returns a value indicating whether this converter can convert a object to the specified type, using the specified context.

  true, if a conversion can be made; otherwise, false.

  An T:System.ComponentModel.ITypeDescriptorContext that provides a format context for the control being designed. A T:System.Type that represents the type to convert to.
- Method
  2.0.0.0
  System.Object `` `` `` To be added.

  Converts the given string to a object using the specified context and culture information.

  An object that can be cast as a object, if the conversion can be made; otherwise, null.

  An T:System.ComponentModel.ITypeDescriptorContext that provides a format context that represents the control being designed. A T:System.Globalization.CultureInfo. If null is passed, the current culture is assumed. The string to convert.
- Method
  2.0.0.0
  System.Object `` `` `` `` To be added.

  Converts the given object to a string using the specified context and culture information.

  An object that represents the converted value.

  An T:System.ComponentModel.ITypeDescriptorContext that provides a format context that represents the control being designed. A T:System.Globalization.CultureInfo. If null, the current culture is assumed. The object to convert. The T:System.Type to convert to (must be a ).
- Method
  2.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection `` To be added.

  Returns a set of objects that can be applied to the control that is represented by the given format context.

  A that holds a set of objects; otherwise, null, if the control does not support skins.

  An T:System.ComponentModel.ITypeDescriptorContext that provides a format context that represents the control being designed. or properties of can be null.
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Returns a value indicating whether the control that is represented by the given context supports a set of objects that can be picked from a list.

  true, if should be called to find a common set of values the object supports; otherwise, false.

  An for the control being designed.